Description: make JavaScript code compatible with jQuery v3
Author: Jonas Smedegaard <dr@jones.dk>
Last-Update: 2022-02-15
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/web/index.js
+++ b/web/index.js
@@ -14,7 +14,7 @@
 function getEndpoints() {
 	$.ajax({
 		url: rest + '/endpoints'
-	}).error(function(xhr, textStatus, errorThrown) {
+	}).fail(function(xhr, textStatus, errorThrown) {
 		bootbox.alert('/endpoints/ ' + xhr.status + ': ' + xhr.responseText, function() {
 			setTimeout(getEndpoints, 5000);
 		});
@@ -72,7 +72,7 @@
 								xhr.setRequestHeader('Authorization', 'Bearer ' + endpoint.token);
 						},
 						type: 'DELETE'
-					}).error(function(xhr, textStatus, errorThrown) {
+					}).fail(function(xhr, textStatus, errorThrown) {
 						bootbox.alert('/endpoint/' + id + ' ' + xhr.status + ': ' + xhr.responseText);
 					}).done(function(response) {
 						toastr.info('Endpoint <' + id + '> destroyed');
@@ -109,7 +109,7 @@
 										xhr.setRequestHeader('Authorization', 'Bearer ' + endpoint.token);
 								},
 								type: 'DELETE'
-							}).error(function(xhr, textStatus, errorThrown) {
+							}).fail(function(xhr, textStatus, errorThrown) {
 								bootbox.alert(endpoint.resource + ' ' + xhr.status + ': ' + xhr.responseText);
 							}).done(function(response) {
 								toastr.info('PeerConnection for endpoint &lt;' + id + '&gt; torn down');
@@ -218,7 +218,7 @@
 						type: 'POST',
 						contentType: 'application/json; charset=utf-8',
 						data: JSON.stringify(create)
-					}).error(function(xhr, textStatus, errorThrown) {
+					}).fail(function(xhr, textStatus, errorThrown) {
 						bootbox.alert(rest + '/create/ ' + xhr.status + ': ' + xhr.responseText);
 					}).done(function(response) {
 						// Done
